Package org.silverpeas.mobile.client.components

## Class HTMLPanelClickable

- java.lang.Object
- - com.google.gwt.user.client.ui.UIObject
  - - com.google.gwt.user.client.ui.Widget
    - - com.google.gwt.user.client.ui.Panel
      - - com.google.gwt.user.client.ui.ComplexPanel
        - - com.google.gwt.user.client.ui.HTMLPanel
          - - org.silverpeas.mobile.client.components.HTMLPanelClickable

- All Implemented Interfaces:
    `com.google.gwt.event.dom.client.HasClickHandlers`, `com.google.gwt.event.logical.shared.HasAttachHandlers`, `com.google.gwt.event.shared.HasHandlers`, `com.google.gwt.user.client.EventListener`, `com.google.gwt.user.client.ui.HasVisibility`, `com.google.gwt.user.client.ui.HasWidgets`, `com.google.gwt.user.client.ui.HasWidgets.ForIsWidget`, `com.google.gwt.user.client.ui.IndexedPanel`, `com.google.gwt.user.client.ui.IndexedPanel.ForIsWidget`, `com.google.gwt.user.client.ui.IsWidget`, `Iterable<com.google.gwt.user.client.ui.Widget>`

      public class HTMLPanelClickable
      extends com.google.gwt.user.client.ui.HTMLPanel
      implements com.google.gwt.event.dom.client.HasClickHandlers

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.google.gwt.user.client.ui.UIObject

      `com.google.gwt.user.client.ui.UIObject.DebugIdImpl, com.google.gwt.user.client.ui.UIObject.DebugIdImplEnabled`

    - ### Nested classes/interfaces inherited from interface com.google.gwt.user.client.ui.HasWidgets

      `com.google.gwt.user.client.ui.HasWidgets.ForIsWidget`

    - ### Nested classes/interfaces inherited from interface com.google.gwt.user.client.ui.IndexedPanel

      `com.google.gwt.user.client.ui.IndexedPanel.ForIsWidget`

  - ### Field Summary

    - ### Fields inherited from class com.google.gwt.user.client.ui.UIObject

      `DEBUG_ID_PREFIX`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `HTMLPanelClickable​(String html)` |
    `HTMLPanelClickable​(String tag, String html)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `com.google.gwt.event.shared.HandlerRegistration` | `addClickHandler​(com.google.gwt.event.dom.client.ClickHandler handler)` |

    - ### Methods inherited from class com.google.gwt.user.client.ui.HTMLPanel

      `add, add, add, addAndReplaceElement, addAndReplaceElement, addAndReplaceElement, addAndReplaceElement, addAndReplaceElement, addAndReplaceElement, createUniqueId, getElementById, wrap`

    - ### Methods inherited from class com.google.gwt.user.client.ui.ComplexPanel

      `add, adjustIndex, checkIndexBoundsForAccess, checkIndexBoundsForInsertion, getChildren, getWidget, getWidgetCount, getWidgetIndex, getWidgetIndex, insert, insert, iterator, remove, remove`

    - ### Methods inherited from class com.google.gwt.user.client.ui.Panel

      `add, adopt, clear, doAttachChildren, doDetachChildren, orphan, remove`

    - ### Methods inherited from class com.google.gwt.user.client.ui.Widget

      `addAttachHandler, addBitlessDomHandler, addDomHandler, addHandler, asWidget, asWidgetOrNull, createHandlerManager, delegateEvent, fireEvent, getHandlerCount, getLayoutData, getParent, isAttached, isOrWasAttached, onAttach, onBrowserEvent, onDetach, onLoad, onUnload, removeFromParent, setLayoutData, sinkEvents, unsinkEvents`

    - ### Methods inherited from class com.google.gwt.user.client.ui.UIObject

      `addStyleDependentName, addStyleName, ensureDebugId, ensureDebugId, ensureDebugId, getAbsoluteLeft, getAbsoluteTop, getElement, getOffsetHeight, getOffsetWidth, getStyleElement, getStyleName, getStyleName, getStylePrimaryName, getStylePrimaryName, getTitle, isVisible, isVisible, onEnsureDebugId, removeStyleDependentName, removeStyleName, resolvePotentialElement, setElement, setElement, setHeight, setPixelSize, setSize, setStyleDependentName, setStyleName, setStyleName, setStyleName, setStyleName, setStylePrimaryName, setStylePrimaryName, setTitle, setVisible, setVisible, setWidth, sinkBitlessEvent, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.google.gwt.event.shared.HasHandlers

      `fireEvent`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, spliterator`

- - ### Constructor Detail

    - #### HTMLPanelClickable

          public HTMLPanelClickable​(String html)

    - #### HTMLPanelClickable

          public HTMLPanelClickable​(String tag,
                                    String html)

  - ### Method Detail

    - #### addClickHandler

          public com.google.gwt.event.shared.HandlerRegistration addClickHandler​(com.google.gwt.event.dom.client.ClickHandler handler)

      Specified by:
        `addClickHandler` in interface `com.google.gwt.event.dom.client.HasClickHandlers`